#ifndef IRSSI_GJS_CONSOLE_H_
#define IRSSI_GJS_CONSOLE_H_

#include <gjs/gjs-module.h>

#include "irssi-includes.h"

#define DLLEXPORT __attribute__((visibility("default")))

extern GjsContext *js_context;
extern JSObject *gjs_irssi_script_loc;
extern JSObject *gjs_irssi_cto;
extern GHashTable *irssi_gjs_object_map;
extern GHashTable *gjs_irssi_class_table;
extern GHashTable *gjs_irssi_iobject_class_map;

JSObject *
gjs_irssi_c_bless_object (JSContext *cx, const char *class_name, const void *native);

void
gjs_irssi_generic_finalizer(JSFreeOp *fop, JSObject *obj);

typedef struct {
  JSObject *proto;
  JSClass *klass;
  JSPropertySpec *ps;
  const char *parent;
} IrssiGjsClassInfo;

#endif
