#ifndef IRSSI_GJS_CLASSES_H_
#define IRSSI_GJS_CLASSES_H_

#include "console.h"
#include "xs-macros.h"

JSObject *gjs_irssi_cto DLLEXPORT;

DECLARE_CLASS(irssi);
DECLARE_CLASS(irssi_connect);
DECLARE_CLASS(irssi_nick);
DECLARE_CLASS(irssi_windowitem);
DECLARE_CLASS(irssi_server);
DECLARE_CLASS(irssi_channel);
DECLARE_CLASS(irssi_query);
DECLARE_CLASS(irssi_rawlog);
DECLARE_CLASS(irssi_log);
DECLARE_CLASS(irssi_logitem);
DECLARE_CLASS(irssi_chatnet);
DECLARE_CLASS(irssi_command);
DECLARE_CLASS(irssi_ignore);
DECLARE_CLASS(irssi_ui);
DECLARE_CLASS(irssi_ui_window);
DECLARE_CLASS(irssi_ui_textdest);
DECLARE_CLASS(irssi_ui_theme);
DECLARE_CLASS(irssi_ui_process);
DECLARE_CLASS(irssi_textui);
DECLARE_CLASS(irssi_textui_line);
DECLARE_CLASS(irssi_textui_lineinfo);
DECLARE_CLASS(irssi_textui_textbuffer);
DECLARE_CLASS(irssi_textui_textbufferview);
DECLARE_CLASS(irssi_textui_statusbaritem);
DECLARE_CLASS(value_reference);

DECLARE_PROP_SPEC_TBL(irssi);

JSBool
init_classes(JSContext *cx, JSObject *obj);

#endif
